import request from '@/utils/request'

// 查询客户信息-车辆列表
export function listCar(query) {
  return request({
    url: '/business/car/list',
    method: 'get',
    params: query
  })
}

// 查询客户信息-车辆详细
export function getCar(id) {
  return request({
    url: '/business/car/' + id,
    method: 'get'
  })
}

// 新增客户信息-车辆
export function addCar(data) {
  return request({
    url: '/business/car',
    method: 'post',
    data: data
  })
}

// 修改客户信息-车辆
export function updateCar(data) {
  return request({
    url: '/business/car',
    method: 'put',
    data: data
  })
}

// 删除客户信息-车辆
export function delCar(id) {
  return request({
    url: '/business/car/' + id,
    method: 'delete'
  })
}
